This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017262 - DTGov dependency of jBPM duplicates jbpm module
DTGov dependency of jBPM duplicates jbpm module
Status: VERIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Kurt T Stam
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 10:03 EDT by Stefan Bunciak
Modified: 2013-12-12 07:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-10-09 10:03:22 EDT
Description of problem:

The same jars which are used by dtgov (and packaged with it) are also available as the server module.
DTGov can use the jBPM module which is installed to EAP during the installation (which is used by SwitchYard).
Current configuration can also cause additional problems in case of jBPM one-off patch - the patch would need to go to both jBPM runtimes.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Kurt T Stam 2013-10-09 13:43:43 EDT
Sorry we cannot use the SwitchYard jBPM modules as they are not supporting CDI. We will be both be using jBPMs modules when the Drools team creates them.
Comment 3 kconner 2013-10-30 20:20:16 EDT
Reassigning to Kurt as we now have details of the BRMS/BPMS module structure
Comment 5 Kurt T Stam 2013-11-15 00:17:07 EST
There now is a new module called 'dtgov-war-eap61-module' which builds a 'skinny' dtgov.war which does not contain the jbpm dependencies. It is designed to work with an EAP-6.1.1 with the jBPM-6 modules (build by jBPM) installed.
Comment 6 Stefan Bunciak 2013-12-12 07:44:40 EST
Verified in FSW 6.0.0.ER7

Note You need to log in before you can comment on or make changes to this bug.